import { hydrateFunctionTemplate as publicHydrateFunctionTemplate, hydrateBlankFunctionTemplate as publicHydrateBlankFunctionTemplate } from './functions-v1-function-template-hydration-function-template-hydration.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const hydrateFunctionTemplate: MaybeContext<BuildRESTFunction<typeof publicHydrateFunctionTemplate> & typeof publicHydrateFunctionTemplate>;
export declare const hydrateBlankFunctionTemplate: MaybeContext<BuildRESTFunction<typeof publicHydrateBlankFunctionTemplate> & typeof publicHydrateBlankFunctionTemplate>;
export { ActivationStatus, Domain, TimeUnit, Operator, Type, Status, Origin, } from './functions-v1-function-template-hydration-function-template-hydration.universal.js';
export { FunctionTemplateHydration, _Function, FunctionSpiConfiguration, Automation, AutomationOriginInfoOneOf, ActionSettings, Enrichment, AuditInfo, AuditInfoIdOneOf, AutomationConfiguration, Filter, FutureDateActivationOffset, RateLimit, ConditionExpressionGroup, AppDefinedAction, ConditionAction, DelayAction, RateLimitAction, SetVariablesAction, OutputAction, Trigger, Action, ActionInfoOneOf, ApplicationOrigin, PreinstalledOrigin, AutomationSettings, DraftInfo, Enrichments, ExtendedFields, FunctionMethod, HydrateFunctionTemplateRequest, HydrateFunctionTemplateResponse, HydrateBlankFunctionTemplateRequest, HydrateBlankFunctionTemplateResponse, HydrateFunctionTemplateResponseNonNullableFields, HydrateBlankFunctionTemplateResponseNonNullableFields, HydrateFunctionTemplateOptions, HydrateBlankFunctionTemplateOptions, } from './functions-v1-function-template-hydration-function-template-hydration.universal.js';
